using System;
using System.Data;
using SK.MemberDAL;
//该源码下载自www.51aspx.com(５１ａｓｐｘ．ｃｏｍ)

namespace SK.MemberBLL
{
	/// <summary>
	/// MessageSystem 的摘要说明。
	/// </summary>
	public class MessageSystem
	{
		Message msg = new Message();
		public MessageSystem()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}
		public void Add(object Subject,object Body,object SendMemberID,object ReceiveMemberID)
		{
			msg.Add(Subject,Body,SendMemberID,ReceiveMemberID);
		}
		public void Read(object MessageID)
		{
			msg.Read(MessageID);
		}
		public void Delete(object MessageID)
		{
			msg.Delete(MessageID);
		}
		public DataSet List(object ReceiveMemberID,object PageSize,object PageIndex)
		{
			return msg.List(ReceiveMemberID,PageSize,PageIndex);
		}
		public int List_Count(object ReceiveMemberID)
		{
			return msg.List_Count(ReceiveMemberID);
		}
		public DataRow Info(object MessageID)
		{
			return msg.Info(MessageID);
		}
		public DataSet PM_Info(object MessageID)
		{
			return msg.PM_Info(MessageID);
		}
		public int PM_NoRead_Count(object ReceiveMemberID)
		{
			return msg.PM_NoRead_Count(ReceiveMemberID);
		}
	}
}
